<input [formControl]="control" [type]="type"
       class="block w-full py-1.5 px-3 text-gray-200 border border-gray-400 transition
                  duration-500 focus:outline-none rounded bg-transparent focus:border-indigo-400"
       [placeholder]="placeholder" [mask]="format"/>
<ng-container *ngIf="control.touched && control.dirty">
  <p
    *ngIf="control.errors?.required"
    class="text-red-400">
    Field is required
  </p>
  <p
    *ngIf="control.errors?.minlength"
    class="text-red-400">
    The value you inputted is
    {{control.errors?.minlength?.actualLength}}
    characters long. It must be at least {{control.errors?.minlength?.requiredLength}}
    characters long.
  </p>
  <p
    *ngIf="control.errors?.email"
    class="text-red-400">
    You must enter a valid email.
  </p>
  <p
    *ngIf="control.errors?.min"
    class="text-red-400">
    Value too low.
  </p>
  <p
    *ngIf="control.errors?.max"
    class="text-red-400">
    Value too high.
  </p>
  <p
    *ngIf="control.errors?.pattern"
    class="text-red-400">
    Passwords must be at least 8 characters long, have 1
    uppercase letter, 1 lowercase letter and 1 number.
  </p>
</ng-container>
